Hi all!

Here are the common issues you may encounter when using the developer certificate.

I am receiving an “Unable to install a protected application from an untrusted supplier” error message when installing my app signed with the developer certificate.

These are the possible reasons for receiving this message:
  • You have signed your application with an expired developer certificate .crt and .key pair. Check the .crt information and request for a renewed developer certificate if it has expired.
  • You are using an older version of the .crt/.key pair with a newer certificate installer. You must sign your application with the same .crt and .key pair issued with the developer certificate installer.
  • The IMEI is not present in the developer certificate. Contact us to recreate the developer certificate with the IMEI added.

If you require a new developer certificate, please contact us.

I am receiving a “Failure. Cannot provision certificate database (-14)” message when installing the developer certificate on my phone.

This message indicates that there is already an older certificate version on your device leading to a conflict in your certificate database. To resolve this, do the following:
  1. Go to Settings -> Application manager -> Installed Apps -> Nokia R&D Certificate Provisioner and uninstall the file.
  2. Reboot your device.
  3. Install the renewed developer certificate .sis file
  4. Check that the dates are valid by clicking the certificate details of your new certificate.


If you require a new developer certificate, please contact us.

If you are unable to find a solution for your signing-related inquiry, please post in this forum.

Andrew